Bug 110149 - Random Kernel "Oops" with slab corruption
Random Kernel "Oops" with slab corruption
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-15 04:54 EST by Jérôme Benoit
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 18:05:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jérôme Benoit 2003-11-15 04:54:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.2.1)
Gecko/20030225

Description of problem:
Random Kernel "Oops" using Kernel 2.6 rpm from Arjan from
http://people.redhat.com/arjanv/2.5/ doing net browsing, email
reading, etc., nothing special.

My RHL is a French one et is up-to-date with all the latest updates :

glibc-2.3.2-27.9.6
etc.


Version-Release number of selected component (if applicable):
kernel-2.6.0-0.test9.1.83

How reproducible:
Didn't try


Actual Results:  machine unusable

Expected Results:  No "Oops" :)

Additional info:

Nov 14 21:06:51 fraggle kernel: process `host' is using obsolete
setsockopt SO_BSDCOMPAT
Nov 14 21:36:37 fraggle kernel: Slab corruption: start=c2837000,
expend=c2837fff, problemat=c283701c

[snip unpastable ****]

Nov 14 21:36:37 fraggle kernel: Next: 61 6C 3A 31 33 36 34 29 3A 20 57
41 52 4E 49 4E 47 20 2A 2A 3A 20 45 72 72 65 75 72 20 6C 6F 72
Nov 14 21:36:37 fraggle kernel: slab error in check_poison_obj():
cache `size-4096': object was modified after freeing
Nov 14 21:36:37 fraggle kernel: Call Trace:
Nov 14 21:36:37 fraggle kernel:  [<c01325b8>] __kmalloc+0xae/0x189
Nov 14 21:36:37 fraggle kernel:  [<c020d32c>] alloc_skb+0x32/0xc3
Nov 14 21:36:37 fraggle kernel:  [<c020cd2f>]
sock_alloc_send_pskb+0x5d/0x1b5
Nov 14 21:36:37 fraggle kernel:  [<c020ce93>] sock_alloc_send_skb+0xc/0xf
Nov 14 21:36:37 fraggle kernel:  [<c025703c>]
unix_stream_sendmsg+0x152/0x330
Nov 14 21:36:37 fraggle kernel:  [<c020a64c>] sock_sendmsg+0x88/0xa2
Nov 14 21:36:37 fraggle kernel:  [<c0257133>]
unix_stream_sendmsg+0x249/0x330
Nov 14 21:36:37 fraggle kernel:  [<c020a8c0>] sock_aio_write+0xc5/0xd0
Nov 14 21:36:37 fraggle kernel:  [<c0142c77>] do_sync_write+0x68/0x9d
Nov 14 21:36:37 fraggle kernel:  [<c020a99c>] sock_readv_writev+0x7c/0x83
Nov 14 21:36:37 fraggle kernel:  [<c020aa01>] sock_writev+0x2a/0x31
Nov 14 21:36:37 fraggle kernel:  [<c020a9d7>] sock_writev+0x0/0x31
Nov 14 21:36:37 fraggle kernel:  [<c01430b7>] do_readv_writev+0x1b0/0x240
Nov 14 21:36:37 fraggle kernel:  [<c011f29f>] update_wall_time+0x9/0x31
Nov 14 21:36:37 fraggle kernel:  [<c01431c2>] vfs_writev+0x3d/0x41
Nov 14 21:36:37 fraggle kernel:  [<c0143234>] sys_writev+0x2c/0x42
Nov 14 21:36:37 fraggle kernel:  [<c010a137>] syscall_call+0x7/0xb
Comment 1 Jérôme Benoit 2004-02-05 17:20:28 EST
Seems fixed in recent 2.6 kernel release.

Note You need to log in before you can comment on or make changes to this bug.